import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/pl-productRework/productRework/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/pl-productRework/productRework/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/pl-productRework/productRework/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/pl-productRework/productRework/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/pl-productRework/productRework/submit',
    method: 'post',
    data: row
  })
}

